Join a webinar on April 30th: Unlocking Your Data using AI with Box Extract & MCP Server. Register here
curl -i -X POST "https://api.box.com/2.0/users/12345/email_aliases" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"email": "alias@example.com"
}'{
"id": "11446498",
"type": "email_alias",
"email": "alias@example.com",
"is_confirmed": true
}Adds a new email alias to a user account..
curl -i -X POST "https://api.box.com/2.0/users/12345/email_aliases" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"email": "alias@example.com"
}'{
"id": "11446498",
"type": "email_alias",
"email": "alias@example.com",
"is_confirmed": true
}The access token received from the authorization server in the OAuth 2.0 flow.
The ID of the user.
The email address to add to the account as an alias.
Note: The domain of the email alias needs to be registered to your enterprise. See the domain verification guide for steps to add a new domain.
"alias@example.com"
Returns the newly created email alias object.
An email alias for a user.
The unique identifier for this object.
"11446498"
The value will always be email_alias.
email_alias "email_alias"
The email address.
"alias@example.com"
Whether the email address has been confirmed.
true
Was this page helpful?